Bug 197461 - Review Request: perl-Class-InsideOut
Review Request: perl-Class-InsideOut
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-02 01:56 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-06 23:29:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-07-02 01:56:31 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Class-InsideOut.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Class-InsideOut-1.00-0.fc5.src.rpm

Description: 
This is a simple, safe and streamlined toolkit for building inside-out
objects. Unlike most other inside-out object building modules already on CPAN,
this module aims for minimalism and robustness:

* Does not require derived classes to subclass it
* Uses no source filters, attributes or CHECK blocks
* Supports any underlying object type including foreign
  inheritance
* Does not leak memory on object destruction
* Overloading-safe
* Thread-safe for Perl 5.8 or better
* mod_perl compatible
* Makes no assumption about inheritance or initializer needs
Comment 1 Jochen Schmitt 2006-07-03 15:31:08 EDT
Good:
+ Tarball match with upstream.
+ rpmlint doesn't complaints source rpm.
+ Local build works fine.
+ Package contains verbatin copy of the license.
+ rpmlint doesn't complaint the binary rpm.

Bad:
- Perl have not to be inclussion in the BR.
Comment 2 Chris Weyl 2006-07-05 14:08:00 EDT
Is the inclusion of perl a blocker for approval?  The review guidelines say:

"- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense."
Comment 3 Ville Skyttä 2006-07-05 14:26:49 EDT
(In reply to comment #2)
> Is the inclusion of perl a blocker for approval?

s/of perl a/of perl in BR a/: no.  On the other hand, FWIW, in this case there
are various other perl(Foo::Bar) build dependencies which are unlikely to
suddenly change so that the main perl package would not be pulled in.
Comment 4 Jochen Schmitt 2006-07-06 11:53:07 EDT
 ihave read the Packaging Guidelines again. The packages in the exception list
may be listed as a BR optional.

So that this is not a blocker.

I will APPROVED your package now.
Comment 5 Chris Weyl 2006-07-06 23:29:36 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching 
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.